//package io.skerna.arch.core.processor.stores;
//
//import io.skerna.arch.core.processor.AbstractPluginStore;
//import io.skerna.arch.core.processor.Processor;
//
//import javax.tools.FileObject;
//import javax.tools.StandardLocation;
//import java.io.BufferedWriter;
//import java.io.IOException;
//import java.util.Map;
//import java.util.regex.Pattern;
//
//public class PluginPropertiesStore extends AbstractPluginStore {
//  public static final String PLUGIN_RESOURCE_DESCRIPTOR = "META-INF/plugin.properties";
//  private static final Pattern WHITESPACE = Pattern.compile("\\s+");
//
//  public PluginPropertiesStore(Processor processor) {
//    super(processor);
//  }
//
//  @Override
//  public Map<String, Map<String, Object>> read() {
//    return null;
//  }
//
//  @Override
//  public void write(Map<String, Map<String, Object>> extensions) {
//    FileObject file = null;
//    try {
//      file = getFiler().getResource(StandardLocation.CLASS_OUTPUT, "", PLUGIN_RESOURCE_DESCRIPTOR);
//      BufferedWriter writer = new BufferedWriter(file.openWriter());
//      for (Map.Entry<String, Map<String, Object>> entry : extensions.entrySet()) {
//        String moduleClassName = entry.getKey();
//        Map<String, Object> pluginProperties = entry.getValue();
//
//
//        // write header
//        writer.write("# Generated by PF4J"); // write header
//        writer.newLine();
//        // write extensions
//        for (Map.Entry<String, Object> propertyEntry : pluginProperties.entrySet()) {
//          String property = propertyEntry.getKey();
//          Object value = propertyEntry.getValue();
//
//          if (property.equals("moduleId")) {
//            writer.write("plugin.id=" + value);
//          }
//          if (property.equals("pluginDescription")) {
//            writer.write("plugin.description=" + value);
//          }
//          if (property.equals("pluginclass")) {
//            writer.write("plugin.class=" + value);
//          }
//          if (property.equals("pluginVersion")) {
//            writer.write("plugin.version=" + value);
//          }
//          if (property.equals("pluginRequires")) {
//            writer.write("plugin.requires=" + value);
//          }
//          if (property.equals("pluginProvider")) {
//            writer.write("plugin.provider=" + value);
//          }
//          if (property.equals("pluginLicence")) {
//            writer.write("plugin.license=" + value);
//          }
//          if (property.equals("pluginDependencies")) {
//            writer.write("plugin.dependencies=" + value);
//          }
//          writer.newLine();
//        }
//      }
//      writer.close();
//    } catch (IOException e) {
//      e.printStackTrace();
//    }
//
//  }
//}
